Doomsday Engine - Bug #2157

[Hexen] Rotating doors are only rotating once in Heresiarch Seminary (ACS gets stuck waiting for
notification)

2016-04-05 22:25 - theleo_ua

Status: Closed Start date: 2016-04-05
Priority: High % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 2.0 — Home Ul & Packages

Description

Hexen: Rotating doors are only rotating once in Heresiarch Seminary, so it's impossible to get icon of the defender and part3 of
weapon 4 at the single run

1) Go to map13 (visit13 cheat is acceptable)
2) Go to the room where exit to "orchard of lamentations" located
3) Destroy 2 trees, which hiding a button, then press this button

Actual result: Rotating doors are only rotating once
Expected result: Rotating doors should be rotated multiple times, as in vanilla

4) Try to pickup part3 of weapon 4 (or icon of the defender)

Actual result: it's impossible now to pickup icon of the defender (or part3 of weapon 4)
Expected result: should be possible to pickup both icon of the defender and part3 of weapon 4

Associated revisions

Revision 2a8fb308 - 2017-01-02 10:11 - skyjake
Fixed|Hexen: Doors in map 13 rotate only once
Removed a seemingly unnecessary check in p_mapspec.cpp that sometimes

prevented scripts from being notified about the completion of polyobj
rotation.

Whenever the polyobj/sector notification functions are called, the
corresponding thinker is immediately destroyed afterwards. If this
notification is ignored, ACS scripts will miss the notification
completely since a second try never occurs.

IssuelD #2157

History

#1 - 2016-04-10 21:52 - theleo_ua
reproduced in 1.15.8

#2 - 2016-11-04 18:24 - skyjake
- Tags set to Hexen, Gameplay

- Subject changed from Hexen: Rotating doors are only rotating once in Heresiarch Seminary to [Hexen] Rotating doors are only rotating once in
Heresiarch Seminary

- Category set to Defect
- Assignee changed from Deng Team to skyjake

- Target version set to 2.0 — Home Ul & Packages

#3 - 2016-11-20 14:44 - skyjake
- Priority changed from Normal to High

#4 - 2016-12-24 13:06 - theleo_ua

| started playing Deathkings with 1.15.8, and noticed, that map03 sump contains "moving columns" with strange behavior which can "ruin your
savegame". There are 3 flame masks on that map, and 2 of them can be picked up only if those "moving columns" starting to move.

The bug is next: while one of the columns starting to move after | use flame mask on wall and finish respective third of the map, second column
doesn't want to start to move (after finishing second third of map03), so it's impossible to collect all 3 flame masks in level.

Workaround:

1) collect emerald and swamp key on map02

) go to map06 brackenwood

) find exit to map03 and go to map03 from map06 brackenwood

) respective walls are moving so you can collect "hidden" flame mask now

) finish all map03 as usual, so now you can collect all 3 flame masks, because second "moving columns" will move

aph wn

Question: is this related to rotating doors in map13, or should be separate issue?

#5 - 2017-01-02 09:47 - skyjake

- Status changed from New to In Progress

#6 - 2017-01-02 10:05 - skyjake

- Category changed from Defect to Regression

#7 - 2017-01-02 10:12 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#8 - 2017-01-02 10:14 - skyjake
theleo_ua wrote:
Question: is this related to rotating doors in map13, or should be separate issue?

It could be related. The problem was that scripts were not always being notified of sectors and polyobjs finishing their movement. If a script was
waiting for this notification, they may have gotten stuck. Please test again when the new build is available.

#9 - 2017-01-02 10:17 - skyjake
- Subject changed from [Hexen] Rotating doors are only rotating once in Heresiarch Seminary to [Hexen] Rotating doors are only rotating once in

Heresiarch Seminary (ACS gets stuck waiting for notification)

#10 - 2017-01-03 23:00 - skyjake

- Status changed from Resolved to Closed
